using System;

namespace Cenzura
{
    internal class Program
    {
        static void Main(string[] args)
        {
            char[] recenica = Console.ReadLine().ToCharArray();
            char[] rec = Console.ReadLine().ToCharArray();
            int n = rec.Length;
            int[] ponavljanja = new int[n];
            int j = 0, min = 0, indexi = 0, indexj = 0;
            for (int i = 0; i < recenica.Length; i++)
            {
                if (recenica[i] == rec[j])
                {
                    ponavljanja[j]++;
                }
                else if (j < n - 1)
                {
                    if(recenica[i] == rec[j + 1])
                    {
                        if (ponavljanja[j] < min || j == 0) {
                            min = ponavljanja[j];
                            indexi = i - 1;
                            indexj = j;
                        }
                        j++;
                        ponavljanja[j]++;
                    }
                }
            }
            if (ponavljanja[n - 1] < min)
            {
                min = ponavljanja[n - 1];
                indexi = recenica.Length - 1;
                indexj = n - 1;
            }
            if (ponavljanja[n - 1] == 0)
            {
                min = 0;
                indexi = -1;
            }
            for (int i = indexi; i >= 0; i--)
            {
                if (recenica[i] == rec[indexj]) recenica[i] = '*';
                if (indexj != 0) if (recenica[i] == rec[indexj - 1]) break;
            }
            Console.WriteLine(min);
            Console.WriteLine(recenica);
        }
    }
}